<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.bofeng.dao.QzTaskReplyDao">


    <select id="taskQuery" resultType="com.bofeng.entity.QzTaskReply">
     select a.task_title,a.remark,b.time_update,c.nick_name,b.reply_content,
     a.task_id,a.task_status
     from qz_task a
     INNER JOIN qz_task_reply b on a.task_id=b.task_id
     left JOIN sys_user_open c on c.user_id=b.user_id
     where a.task_id=#{taskId}
    </select>

    <select id="queryQzTaskReplyByTaskId" resultType="com.bofeng.entity.QzTaskReply">
        select * from qz_task_reply where task_id=#{taskId}
    </select>
</mapper>